package com.xtd.common.base;

/**
 * Created by xiezt on 2018/9/7.
 */
public interface BaseServie<T, PK> {

    int delByPrimaryKey(PK guid);

    int save(T record);

    int saveSelective(T record);

    T queryByPrimaryKey(PK guid);

    int modifyByPrimaryKeySelective(T record);

    int modifyByPrimaryKeyWithBLOBs(T record);

    int modifyByPrimaryKey(T record);
}
